
2026-08-19 - version 2.6.35
* Improved - Updated WordPress compatibility to 7.1 and refreshed the WordPress.org description, support, and review messaging.
* Improved - Changed the default Recently Viewed Peek offset to use pixels for more predictable placement on smaller screens.
* Improved - Tightened the WordPress.org package so Free builds only include Free runtime modules.

2026-06-21 - version 2.6.33
* Fix - Restored favorite toggle clicks inside Recently Viewed Peek so the heart button works reliably inside the panel.
* Fix - Cart Peek now respects the configured visible item count after removing items and refills the panel correctly.

*** ShopKeys Changelog ***

2026-06-19 - version 2.6.32
* Improved - Refined Product Table and Product Grid sorting/paging layout controls so top-row spacing and alignment behave more predictably.
* Improved - Added clearer Product Grid editor labels and guidance for item height, item padding, and full card height controls.
* Improved - Added product link color controls to Recently Viewed Peek and Cart Peek, plus a smoother Cart Peek loading state when removing items.
* Fix - Product Table quantity now resets back to the configured default after add to cart, while bulk-order flows can still reset to zero.

2026-06-18 - version 2.6.31
* New - Added Cart Peek in Pro with live cart updates, subtotal, remove-item actions, and compact View Cart / Checkout access
* Improved - Refined Recently Viewed Peek with add-to-cart support, cleaner action styling, and better layering behavior when used together with Cart Peek
* Fix - Scoped ShopKeys tooltip initialization and strengthened add-to-cart handling in Cart Button and Quick View for more stable frontend behavior

2026-06-17 - version 2.6.30
* New - Added Recently Viewed support in Free, including a shared query source and the new Recently Viewed Peek widget
* Improved - Stabilized Product Grid and Product Table query handling when max product count is used
* Improved - Refined sorting and paging spacing behavior, including better mobile top-row layout handling

2026-05-18 - version 2.6.23
- Fix - Prevent duplicate bootstraps from breaking updates when an old plugin folder still exists alongside the current ShopKeys folder.
- Fix - Guard ShopKeys constants so update edge cases do not trigger redefinition warnings or wrong include paths.

2026-05-17 - version 2.6.22
- Fix - Restored Category Carousel visibility and Box Placement behavior after the recent carousel styling changes.
- Fix - Tightened Category Carousel isolation from shared grid CSS so images, overlay text, and spacing behave more predictably.


2026-05-16 - version 2.6.21
* Improved - Product Grid column height and pagination alignment controls.
* Improved - Product Filters Bar button labels and button styling behavior.
* Improved - Product Images left layout controls, image resolution options, and fit behavior.
* Fixed - Cart Button now falls back to inline layout when no layout value is stored.

2026-05-15 - version 2.6.20
* Fix - Restored Product Filters Bar category and attribute option rendering so dropdown results are shown correctly again
* Fix - Improved Product Filters Bar Select2 dropdown positioning for frontend and Elementor editor contexts
* Improved - Refined Product Filters Bar toggle and action button styling for better alignment and control responsiveness
* Improved - Fixed Category Carousel and Category Grid product count alignment behavior and related hover/display polish
* Improved - Added Favorites Counter hover color controls for background and text

2026-05-15 - version 2.6.19
* Improved - Adjusted the Pro Freemius bootstrap to follow the premium set_basename pattern more closely during activation and upgrades
* Improved - Prepared a safer ShopKeys upgrade path when Free and Pro basenames need to be reconciled by the SDK

2026-05-15 - version 2.6.18
* Improved - Moved the ShopKeys admin CSS and notice-handling script into shared local assets for cleaner Free and Pro admin pages
* Improved - Made the ShopKeys admin notice relocation more robust so third-party notices stay out of the hero area
* Improved - Removed the Freemius affiliation flag from the ShopKeys config and disabled the affiliation menu item explicitly

2026-05-15 - version 2.6.17
* Improved - Moved the Freemius SDK to vendor/freemius to align ShopKeys with the Freemius and QFR packaging pattern
* Improved - Updated the Pro Freemius bootstrap for the new ShopKeys slugs, PRO premium suffix, and packaged SDK path

2026-05-14 - version 2.6.16
* Improved - Improved the public-facing plugin title to Consortia ShopKeys for Elementor for clearer WordPress.org presentation
* Improved - Kept the shorter ShopKeys brand inside the plugin admin and product messaging

2026-05-14 - version 2.6.15
* Fix - Restored local Font Awesome loading in the free ShopKeys package so icon-based buttons render correctly
* Improved - Added product-context guidance to Favorite Button, Product Price, Cart Button, and Product Field in the Elementor panel

2026-05-14 - version 2.6.14
* Improved - Vendored local frontend assets for Select2, Swiper, Font Awesome, and jQuery UI in the full ShopKeys runtime
* Improved - Replaced external GLightbox and Lozad dependencies with local compatibility fallbacks to keep ShopKeys self-contained

2026-05-14 - version 2.6.13
* Improved - Completed the ShopKeys technical rename baseline across bootstrap, admin, build scripts, and package structure
* Improved - Restored the ShopKeys admin logo and aligned the plugin package with the new consortia-shopkeys slug
* Improved - Rebuilt fresh Free and Freemius test packages from the recovered git-tracked baseline
* Fix - Cleared plugin-check warnings for readme tags and short description, legacy admin class naming, and widget render globals
* Improved - Added automatic build-time syncing for WooCommerce, Elementor, Elementor Pro, and WordPress tested-version metadata
* Improved - Polished the free ShopKeys admin preview to better match the Pro admin layout

2026-05-11 - version 2.6.7
* Improved - Major WordPress.org code-quality cleanup across ShopKeys core, admin, free widgets, and Pro widgets
* Improved - Better stability and maintainability for Product Filters Bar, Quick View, Product Images, Product Table, Countdown, and related WooCommerce widgets
* Improved - Continued polish for ShopKeys admin, Favorites foundations, and release hardening for Free and Pro builds

2026-05-11 - version 2.6.6
* Improved - Refined the free ShopKeys admin so About stays fully available while Favorites and Trends are shown as Pro preview tabs
* Improved - Removed the Roadmap tab from admin to avoid implying a fixed public roadmap
* Improved - Better free-package hardening for WordPress.org builds

2026-05-11 - version 2.6.5
* New - Added Brands as a Product Field option with support for the WooCommerce product_brand taxonomy
* New - Added Favorites foundations for Free, including Favorite Button, Favorites Counter, My Favorites query support, guest/user storage, AJAX endpoints, login sync, and an events table foundation
* Improved - Better default styling and layout for Free widgets, including Product Grid, Category Grid, Cart Button, Star Rating, Product Price, and Product Field
* Improved - Better default responsive columns for Product Grid and Category Grid
* Improved - Better out-of-the-box variation and quantity defaults in Cart Button
* Improved - Stabilized Product Images, including better left-side thumbnail layout handling
* Improved - Added a filters toggle button and better controls for Product Filters Bar
* Improved - Added more flexible paging button styling for Product Grid and Product Table
* Improved - Better free-package hardening for WordPress.org builds, including dedicated WP.org overrides for assets, runtime, admin copy, and readme
* Fix - Fixed unstable default expanded/collapsed behavior in Property Toggle
* Fix - Reduced page jump in Category Carousel when slides change

2026-02-12 - version 2.6.4
* Fix - Minor fix in cart button widget for grouped products
* Fix - Fixes in product images widget 

2026-01-27 - version 2.6.3
* Fix - Fix in variation buttons (Product Table Widget)
* New - Added messages when added to cart (Product Table Widget)
* New - Added variations as buttons to Cart Button widget 
* Fix - Fix for paging (when not on shop page)
* Other - Minor fixes and improvements

2026-01-11 - version 2.6.2
* Fix - Minor fix for bulk add (a JS fix) 

2026-01-11 - version 2.6.1
* New - Added option to use buttons as variations in the product table widget 
* Fix - Minor fixes in add to cart for product table (scrolling issue) 
* Dev - Minor other fixes and improvements

2025-08-12 - version 2.5.9
* Fix - Minor fix in Elementor toggle cart, did not update when using bulk order form (Product Table)

2025-06-08 - version 2.5.8
* Fix - Minor fixes in product queries qroup control (used for product table and grids)

2025-06-02 - version 2.5.7
* Fix - Added option to style subcategories in the product filters bar 

2025-05-28 - version 2.5.6
* Fix - Added nested categories for product filters bar 
* Fix - Minor fixes in CSS for product filters 

2025-05-23 - version 2.5.5
* New - Added extended ajax search result in Product Filters Bar 
* New - Added order by for categories in Product filters bar 
* Other - Minor fixes and improvements

2025-05-18 - version 2.5.4
* Fix - Minor fix when trying to edit (in some widgets) for mobile views
* Fix - Minor fixes and improvements for several of the widgets
* Other - Changed documentation URL 

2025-05-10 - version 2.5.3
* Fix - Added option to set increment value for quantity buttons (add to cart) in Product Table widget 
* Fix - Added more options for styling select2's in Product Filter Bar 
* Other - Minor fixes and improvements

2025-05-04 - version 2.5.2
* Fix - Fixes in queries (archive pages)
* Fix - Added button width for add to cart button and ajax add++ (product grid)
* Other - Added button to Element manager++

2025-04-28 - version 2.5.1
* New - Refined the product name to better align with the purpose of the add-on 
* New - Added product filters bar (widget) for Product Table and Grid 
* Fix - Major updates, fixes and improvements for all widgets and code

2024-09-21 - version 2.4.6
* Fix - Minor fix for current query 

2024-09-19 - version 2.4.5
* New - Added Quick View Button - to use in product loops 
* Fix - Fixes in product property widget
* Fix - Fixes in code for queries, JS and more.

2024-03-19 - version 2.4.4
* Minor fix in Product Images widget - fix in open using lightbox when no url is set for custom images. Plus fix in CSS.
* Added WYSIWYG for custom content to Property toggle widget (if not product properties)

2024-03-19 - version 2.4.3
* Added Product Images widget, options to show thumbnails left, below or not. Also option to not use product images.
* Minor fixes and improvements

2024-02-09 - version 2.4.2
* Minor fix in pacaging of zip file (mac and WordPress issue)

2024-01-08 - version 2.4.1
* Added freemius integration

2023-12-28 - version 2.3.6
* Fix in query for cross-sells
* Fix in category carousel + added option to click on dots
* Minor fix in paging
* Other fixes and improvements

2023-11-23 - version 2.3.5
* Minor fixes in product table widget
* Minor fix in add to cart widget
* Added option to add hover image on categories (grid) and other minor fixes
* Minor fixes in Category carousel (when several visible at once)
* Minor fix in sale date
* Other minor fixes and improvements

2023-11-16 - version 2.3.4
* Added checks for empty products 

2023-11-16 - version 2.3.3
* Minor fixes in product properties widgets 

2023-11-13 - version 2.3.2
* Added dynamic Elementor tags in Product fields and Property Toggle 
* Added title and option to hide if empty (products) for Product Grid and Product Table (perfect for product pages - upsells)
* Added installation message
* Changed and added .pot file for translations
* Added max products in query 
* Minor fix in cart button (variable price)

2023-10-31 - version 2.3.1
* Changes to support Envato marketplace
* Minor fix in product properties
* Minor fix in product table variations
* Fixes in cart when product is grouped
* Added styling for grouped products (cart button widget)
* Added cross-sells in query 
* Minor fixes and improvements

2023-08-02 - version 2.1.2
* Fix in sorting for queries / dropdown sort 
* Minor fixes

2023-07-24 - version 2.1.1
* Rename Consortia Addons to Essential E-Commerce for Elementor 
* Created pages for license and to be ready for new admin pages / tabs 
* Minor fixes and improvements

2023-04-27 - version 1.2.18
* Product grid, added option to flip to next product image
* Product grid, added labels for values 
* Product grid, fixes in hover product
* Product grid, added sale flash label for variation (price)
* Minor fix in product query  

2023-04-10 - version 1.2.17
* Added icons in product field and product toggle widget 
* Added tags in product field and product toggle widget 
* Minor fix in cart button widget (variation JS)

2023-04-02 - version 1.2.16
* Added total sales for product property
* Addes total sales for property toggle 
* Minor fix in property toggle 
* Added default background CSS for input and select due to new default colors in Elementor 

2023-02-13 - version 1.2.15
* Fixes in js and CSS for Category carousel
* Minor fixes in CSS for Category grid widget
* Get top level categories by default for Category grid widget
* Added option to add description in name column - Product Table widget
* Minor fix in sort by number - Product Table widget

2023-02-05 - version 1.2.14
* Minor uppdate for styling the cart counter 
* Added option to include and exclude single products - query sales++

2023-01-31 - version 1.2.13
* Minor fix in quantity counter - added styling options 
* Minor fix in query for product table and grid 

2023-01-27 - version 1.2.12
* Added add to cart button (option) in Product Table widget, below the table including an optional quantity counter.
* Minor fixes and improvements  

2023-01-16 - version 1.2.11
* Added responsive image size for product table images 
* Added image fit (object-fit) for product table images 

2023-01-13 - version 1.2.10
* Added option to set predefined quantity in product table 
* Added option to use Horizontal or stacked layout for add to cart button in product table
* Added width option for quantity input and add to cart button in product table 
* Added option to use product table as a bulk order form  

2023-01-11 - version 1.2.9
* Fix in query for current query (post per page)

2023-01-09 - version 1.2.8
* Minor fix in property toggle and update in product field

2023-01-05 - version 1.2.7
* Added property toggel widget, enables toggle for product properties (product page feature)
* Fixed product field widget to support custom field in dropdown
* Added is variation selected check on add to cart button (enable when selected variation)

2022-12-26 - version 1.2.6
* Minor fixes for Category carousel
* Minor fixes for Product grid 
* Minor fixes for query (added query vars for search and categories)

2022-12-08 - version 1.2.5
* Added Category carousel widget
* Minor fixes and improvements

2022-11-29 - version 1.2.4
* Added add to cart button widget 

2022-11-20 - version 1.2.3
* Added Qty buttons (+/-) in product table widget and styling options
* Added Price HTML in price widget for use in role-based systems
* Minor fix in Countdown widget
* Added more fields to product grid widget
* Minor fix for null value (url)

2022-11-17 - version 1.2.2
* Minor fixes for star rating
* Minor fixes in Countdown
* Added session timer in Countdown widget
* Added HPOS compability (WooCommerce)

2022-11-02 - version 1.2.1
* Minor fix in star rating 
* Removed some files

2022-10-30 - version 1.1.9
* Added updater for automatic updates of the add-on 
* Minor fixes

2022-10-26 - version 1.1.8
* Added license and license check

2022-10-19 - version 1.1.7
* Overall fixes and improvements for all widgets

2022-10-15 - version 1.1.6
* Added new options and styling in product table, product grid, Countdown 
* Several fixes and improvements in all widgets

2022-10-01 - version 1.1.5
* Added orderby dropdown for table and grid
* Fixes in custom fields, added Categories
* Added more options for Product table, links and discount
* Added option to remove quantity selector for add to cart
* Added hide if no ratings for star rating widget
* Minor fixes

2022-09-26 - version 1.1.4
* Added improvements in query control
* Make code ready for launch

2022-09-20 - version 1.1.3
* Added Categories widget
* Added Product grid widget
* Added Product table widget
* Added Countdown widget
* Added Custom field widget
* Added Product price widget
* Added Star Rating widget 
